
import React from 'react';
import Icon from 'react-icon-base';

const SlHourglass = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M833.056 895.392h-64.4648v-215.408c0 -104.384 -56.6562 -183.359 -178.097 -245.199c126.064 -63.8076 179.104 -142.159 179.104 -259.071c0 -76.1279 -0.335938 -140 -0.591797 -175.12h64.0645c17.6797 0 32 -14.2881 32 -31.9678s-14.3203 -32 -32 -32h-642.128 c-17.6797 0 -32 14.3203 -32 32s14.3203 31.9678 32 31.9678h65.9355c-0.240234 35.1201 -0.591797 99.0078 -0.591797 175.12c0 116.912 52.2881 195.248 178.145 259.056c-121.232 61.8398 -177.137 140.815 -177.137 245.199v215.424h-66.3516 c-17.6797 0 -32 14.3037 -32 32c0 17.6641 14.3203 31.9844 32 31.9844h642.128c17.6797 0 32 -14.3203 32 -31.9844c-0.015625 -17.6963 -14.3193 -32 -32.0156 -32zM320.271 175.712c0 -76.2881 0.352539 -140.224 0.592773 -175.12h384.176 c0.223633 34.9121 0.591797 98.8477 0.591797 175.12c0 89.0078 -33.1201 158.032 -193.185 224.4c-160.016 -66.3682 -192.176 -135.393 -192.176 -224.4zM704.623 895.392h-383.359v-215.408c0 -61.376 20.6396 -140.416 191.168 -210.528 c170.56 70.1123 192.191 149.152 192.191 210.528v215.408z"/></g>
    </Icon>
);

export default SlHourglass;
